Page MenuHomePhabricator

Add a page_props entry to new file pages linking to the associated MediaInfo entity
Closed, ResolvedPublic

Description

When a new file is uploaded, in order to make it clearer in the page info where the media metadata is stored, add an entry to page_props, similar to wikibase_item for current Wikibase clients (like Wikipedia), that points to the MediaInfo page. Something like mediainfo_item = M13, though I'm open to suggestions on what we want to call it.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedCparle
ResolvedRamsey-WMF
Resolvedthiemowmde
Resolvedmatthiasmullie

Event Timeline

matthiasmullie moved this task from To Do to Doing on the Multimedia-Team-Working-Board board.

Change 382514 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Add page_prop entry for uploads, linking to MediaInfo entity

https://gerrit.wikimedia.org/r/382514

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Oct 6 2017, 6:00 PM

in progress

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:07 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.

Change 382514 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add page_prop entry for uploads, linking to MediaInfo entity

https://gerrit.wikimedia.org/r/382514

Change 409010 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Use other hook to add page_props after upload

https://gerrit.wikimedia.org/r/409010

Change 409010 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Use other hook to add page_props after upload

https://gerrit.wikimedia.org/r/409010

matthiasmullie closed this task as Resolved.Feb 27 2018, 5:04 PM